# consumergroup

Sets the Kafka consumer group identifier (group.id) used by imkafka.

This parameter applies to imkafka: read from Apache Kafka.

Name:

  consumergroup

Scope:

  input

Type:

  string

Default:

  input=``none``

Required?:

  no

Introduced:

  8.27.0

## Description

With this parameter the group.id for the consumer is set. All consumers sharing the same group.id belong to the same group.

## Input usage

    module(load="imkafka")
    input(type="imkafka"
          topic="your-topic"
          consumerGroup="default")

## See also

See also imkafka: read from Apache Kafka.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.